Class Specialization
DPSearch
A dynamic programming algorithm for approximate string-matching with a user-definable scoring function.

Pattern

DPSearch

Pattern<TNeedle, DPSearch<TScore [, TSpec [, TFindBeginPatternSpec] ]> >
Include Headers
seqan/find.h
Parameters

TNeedle | The needle type. Types: String
TScore | The scoring function. Types: Score

Remarks
The algorithm is based on the Sellers/Needleman-Wunsch dynamic progamming algorithm. The Pattern object only contains the right-most column of the dynamic programming matrix.
Specialization of
Pattern
Metafunctions

Host | Type of the object a given object depends on. (Pattern)
Needle | Returns the needle type of a Pattern type. (Pattern)
ScoringScheme | Returns the scoring scheme of an approximate searching algorithm. (Pattern)

Functions

find | Search for a Pattern in a Finder object. (Pattern)
findBegin | Search the begin of an approximate match. (Pattern)
getBeginScore | Score of the last match found by findBegin during approximate searching.
getScore | Score of the last found match in approximate searching.
host | The object a given object depends on. (Pattern)
needle | Returns the needle of a Pattern object (not implemented for some online-algorithms). (Pattern)
position | Position of an iterator. (Pattern)
scoreLimit | The minimal score a match must reach in approximate searching.
scoringScheme | The scoring scheme used for finding or aligning. (Pattern)
setNeedle | Sets the needle of a Pattern object and optionally induces preprocessing. (Pattern)
setScoreLimit | Sets the minimal score a match must reach in approximate searching.
setScoringScheme | Sets the scoring scheme used for finding or aligning. (Pattern)

See Also
FindInfix, FindPrefix
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:51